Bug 881785 - TRACKER: migration to /etc/hostname, /etc/vconsole.conf, /etc/locale.conf
TRACKER: migration to /etc/hostname, /etc/vconsole.conf, /etc/locale.conf
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
: Tracking
: 878670 885609 (view as bug list)
Depends On: 882219 870805 871543 881808 881824 881832 881841 881850 881853 881868 881870 881878 881887 881890 881901 881907 881908 881913 881917 881923 881953 881956 881959 881991 881996 882157 882158 882159 882163 882172 882174 882175 882183 882186 882187 882206 882207 882208 882225 882235 882236 882238 882241 882242 882246 885219
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-29 10:09 EST by Michal Schmidt
Modified: 2016-08-04 00:25 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-04 00:25:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Schmidt 2012-11-29 10:09:25 EST
One of the goals of systemd is standardization between Linux distributions.
This effort applies to configuration such as: the system hostname,
console keyboard layout, console font, locale settings.
Previously these had to be configured using distribution-specific config files.

In the case of Fedora they were:
 /etc/sysconfig/network (the HOSTNAME=... setting)
 /etc/sysconfig/keyboard
 /etc/sysconfig/i18n

systemd supports configuration files, which work on all distributions
using systemd and even on some other distributions:
 /etc/hostname
 /etc/vconsole.conf
 /etc/locale.conf

All the new config files are documented in manual pages:
 hostname(5), vconsole.conf(5), locale.conf(5)

For more information about the standardization effort in general see:
http://0pointer.de/blog/projects/the-new-configuration-files.html

The new config files have been used in Fedora for a couple of releases already.
Not all packages have been ported though, leading to inconsistency and confusion.

We must finish this porting effort to the new config files. This is a tracker bug for this purpose.

FESCo asking us to do this: https://fedorahosted.org/fesco/ticket/963

Wiki page to sort out the false positives before filing bugs against specific packages:
https://fedoraproject.org/wiki/User:Michich/sysconfig-legacy
Comment 1 Nicola Soranzo 2012-11-30 09:25:01 EST
*** Bug 878670 has been marked as a duplicate of this bug. ***
Comment 2 Michal Schmidt 2012-12-10 04:44:17 EST
*** Bug 885609 has been marked as a duplicate of this bug. ***
Comment 3 Fedora End Of Life 2013-12-21 04:32:53 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Zbigniew Jędrzejewski-Szmek 2016-08-04 00:25:31 EDT
OK, let's assume that this is done. Certainly nobody is working on this from systemd side.

Note You need to log in before you can comment on or make changes to this bug.